%define build_with_qt5 1

Name:		afce
Version:	0.9.8
Release:	%mkrel 8
Summary:	Algorithm Flowchart Editor
License:	GPLv3
Group:		Education
URL:		http://viktor-zin.github.io/afce
Source0:	https://github.com/viktor-zin/afce/archive/v%{version}/%{name}-%{version}.tar.gz
%if %{build_with_qt5}
BuildRequires:	pkgconfig(Qt5Svg)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	qttools5
BuildRequires:	qttranslations5
%else
BuildRequires:	qt4-devel
%endif

%description
Flowchart editor with code generation and vector graphics.
AFCE allow to create, edit, print and export flowcharts easyly
for a few minutes. Flowcharts can be exported to several grafical
formats including SVG and PNG.

%prep
%autosetup

%build
%if %{build_with_qt5}
%qmake_qt5
%else
%qmake_qt4
%endif
%make_build

%install
%make_install INSTALL_ROOT=%{buildroot}

%files
%doc README.RU.txt README.md
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/pixmaps/%{name}.png
%{_iconsdir}/afc.ico
%{_datadir}/applications/%{name}.desktop
%{_datadir}/mime/packages/%{name}.xml


%changelog
* Wed Dec 16 2020 umeabot <umeabot> 0.9.8-8.mga8
+ Revision: 1658125
- Rebuild for new Qt5

* Sat Feb 15 2020 umeabot <umeabot> 0.9.8-7.mga8
+ Revision: 1524402
- Mageia 8 Mass Rebuild

* Fri Mar 29 2019 umeabot <umeabot> 0.9.8-6.mga7
+ Revision: 1381208
- Qt5 Rebuild

* Wed Feb 13 2019 alexl <alexl> 0.9.8-5.mga7
+ Revision: 1366500
- less buildrequires

* Sun Sep 23 2018 umeabot <umeabot> 0.9.8-4.mga7
+ Revision: 1297293
- Mageia 7 Mass Rebuild

* Fri Mar 23 2018 kekepower <kekepower> 0.9.8-3.mga7
+ Revision: 1211455
- Fix Source0 URL
- Use new make macros

* Sat Feb 13 2016 umeabot <umeabot> 0.9.8-2.mga6
+ Revision: 959478
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 alexl <alexl> 0.9.8-1.mga6
+ Revision: 844670
- new url
- version 0.9.8

* Fri Jan 02 2015 alexl <alexl> 0.9.7-4.mga5
+ Revision: 808246
- rebuild for qt

* Wed Oct 15 2014 umeabot <umeabot> 0.9.7-3.mga5
+ Revision: 744658
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.9.7-2.mga5
+ Revision: 677711
- Mageia 5 Mass Rebuild

* Mon Sep 01 2014 alexl <alexl> 0.9.7-1.mga5
+ Revision: 670704
- version 0.9.7

* Mon Sep 01 2014 alexl <alexl> 0.9.7-0.git20140901.1.mga5
+ Revision: 670594
- the latest git snapshot with qt5 support
- move patches and sources, which in upstream now
- new spec file with according developed version 0.9.7
- added GenericName

* Mon Feb 17 2014 alexl <alexl> 0.9.5-3.mga5
+ Revision: 593985
- make the untranslated 'Condition' string translatable
- fix incoherent behaviour after closing an inner window via the cross button

* Fri Feb 14 2014 alexl <alexl> 0.9.5-2.mga5
+ Revision: 591462
- fix locales (mga#12767)

* Fri Feb 14 2014 alexl <alexl> 0.9.5-1.mga5
+ Revision: 591180
- add make clean
- new url and description
- imported package afce

